Subject: RE: [AVT] RTP MIB Extensions

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 21 Nov 2003 15:19:51 +0200

1. From the point of view of the AVT WG, it looks to me that updating the RTP MIB to reflect changes in RTC from RFC 1889 to RFC 3550 has higher priority.
2. I met with Alan in Minneapolis, and made quite good progress. One possible way to formalize the progress we made in the hallway is to work together on a framework document for VoIP performance monitoring. Hopefully we will have the time and resources to make this happen.

Regards,

Dan

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: 21 November, 2003 12:47 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; [email-masked]; Bert Wijnen (E-mail)
> Subject: Re: [AVT] RTP MIB Extensions
> 
> 
> On Wednesday, Nov 12, 2003, at 19:39 Europe/London, Romascanu, Dan  
> (Dan) wrote:
> > Please allow me to make more clear my points expressed in 
> the final  
> > minutes of the AVT WG meeting today related to  
> > http://www.ietf.cnri.reston.va.us/internet-drafts/draft-clark-avt- 
> > rtpmibv2-00.txt
> >
> > 1. This MIB includes extensions to the RTP MIB (RFC 2959) 
> related to  
> > RTCP-XR (RFC 3611). At the same time, there seems to be a need to  
> > update RFC 2959 as result of the evolution of the Real Time 
> Protocol  
> > from RFC 1889 to RFC 3550. I strongly suggest to do this in two  
> > separate MIBs separate documents:
> >
> > - a new RTP MIB, updating to RFC 2959
> >
> > - a supplementary RTCP-XR MIB, with the MIB objects 
> relevant for hosts  
> > or monitors running RTCP-XR.
> >
> > This more modular and scalable structure would allow the 
> two different  
> > MIBs to be progressed separately, without creating a tight 
> dependency  
> > among them, and would allow adding other modules in the future.
> 
> Yes, I think this is a good idea.
> 
> > 2. There is a need for a better coordination, and possibly some  
> > consolidation between the RTCP-XR MIB and work being done 
> in other WGs  
> > in the IETF - especially the RMON MIB WG  
> > 
> (http://www.ietf.cnri.reston.va.us/html.charters/rmonmib-chart
er.html)  
> work on Application Performance Monitoring and Real-Time Application  
> Monitoring to create a consistent framework for performance  
> monitoring, and avoid duplication. While RTCP-XR covers an important  
> aspect of media monitoring when RTP is used, it does not cover the  
> whole application space where RTP streams can be used. I would be glad  
> to provide more information, or work with the authors of the different  
> proposals in AVT to try to reach this goal.

Thanks for the information - I'll look into it. If you would be willing  
to work with Alan Clark as the RTCP-XR MIB is developed, that would be  
helpful.

Thanks!
-- 
Colin Perkins
http://csperkins.org/

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Fri, 21 Nov 2003 13:43:20 +0000

On Friday, Nov 21, 2003, at 13:19 Europe/London, Romascanu, Dan (Dan) 
wrote:
> 1. From the point of view of the AVT WG, it looks to me that updating 
> the RTP MIB to reflect changes in RTC from RFC 1889 to RFC 3550 has 
> higher priority.

If the MIB is used, then this certainly needs to be done. Maybe anyone 
on the list who uses the MIB would like to comment?

> 2. I met with Alan in Minneapolis, and made quite good progress. One 
> possible way to formalize the progress we made in the hallway is to 
> work together on a framework document for VoIP performance monitoring. 
> Hopefully we will have the time and resources to make this happen.

Good to hear, I look forward to seeing the result.

Colin

---

From: "Alan Clark" <[email-masked]>
Date: Fri, 21 Nov 2003 11:34:38 -0500

Colin

It looks as if there are three action items:-

(i) General RTP MIB update - I'd be happy to contribute to this work but may
not be the best one to lead it.

(ii) RTCP XR MIB - I will trim down the draft submitted to the Minneapolis
meeting and resubmit as an RTCP XR MIB draft within the next two weeks.  Any
offers of help/ input would be very welcome.

(iii) VoIP fault/performance monitoring framework - as Dan mentioned, we did
have some offline discussion on this and agreed to look at this jointly.
I've already submitted a VoIP fault/performance management draft to TIA, we
could start by refining that and then see if/ where in IETF would be the
most appropriate place to introduce it.  The document currently addresses
the requirements for VoIP endpoints and sets out the range of possible
functionality and QoS reporting mechanisms - basically proposing that VoIP
endpoints should provide this type of functionality but not mandating any
particular protocol.  It could certainly be an informational draft to AVT.

>From Dan's comments

With regard to the relative priorities of (i) and (ii), I recall that there
seemed to be no disagreement that the RTP MIB update was important but there
was no suggestion that this was more or less important than progressing an
RTCP XR based draft.  There is considerable interest in using RTCP XR for
VoIP fault/performance management and some definite expressed interest in
seeing a MIB based on the RTCP XR metrics.

Alan Clark

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Colin
Perkins
Sent: Friday, November 21, 2003 8:43 AM
To: Romascanu, Dan (Dan)
Cc: [email-masked]; [email-masked]; Bert Wijnen (E-mail)
Subject: Re: [AVT] RTP MIB Extensions

Colin

---

From: Mark Baugher <[email-masked]>
Date: Fri, 21 Nov 2003 16:09:06 -0800

At 05:43 AM 11/21/2003, Colin Perkins wrote:
>On Friday, Nov 21, 2003, at 13:19 Europe/London, Romascanu, Dan (Dan) wrote:
>>1. From the point of view of the AVT WG, it looks to me that updating the 
>>RTP MIB to reflect changes in RTC from RFC 1889 to RFC 3550 has higher 
>>priority.
>
>If the MIB is used, then this certainly needs to be done. Maybe anyone on 
>the list who uses the MIB would like to comment?

The last I heard is that it was deployed in the H.323 MIB and that was the 
end of it.  All the folks I worked on it with seem to be no longer involved 
with H.323 products.  I don't know of any companies shipping the RTP MIB.

That being said, I don't understand why anyone would go to the trouble of 
implementing a piece of the RTP MIB.  Perhaps it would make sense to do 
only the multicast objects or only the unicast objects.  I can't fathom why 
anyone would go to the trouble of developing only a piece of the MIB 
without implementing the session objects, etc., i.e. for little incremental 
effort, the entire RTP system could be monitored and/or configured.

Mark

>>possible way to formalize the progress we made in the hallway is to work 
>>together on a framework document for VoIP performance monitoring.